Manjaro安装配置美化字体模糊发虚解决记录

  1. 云栖社区>
  2. 博客>
  3. 正文

Manjaro安装配置美化字体模糊发虚解决记录

爱写Bug 2019-04-03 00:02:45 浏览2093
展开阅读全文

Manjaro安装记录

前言:

​ 记录自己Manjaro18安装的一些坑,避免下次满互联网找解决方法。在此之前试过Manjaro、Ubuntu、Fedora、linux Mint系统的pac、yum、apt都用过了,所以果断选择Manjaro的包管理方式。Xfce4、Gnome、Cinnamon 和Mate桌面环境都试过了,KDE没试过,因为KDE 被抛弃了。其中呢我觉得xfce4最好,比较轻,资源占用低,但是我还是选择了Gnome,因为这个比较符合我的审美,而且现在(2019.3.31)gnome3.32已经没那么多问题了,资源占用也没那么夸张,cpu一般不会超过5%,还是在用了很多插件情况下,有两个插件一用就会超过7%:

安装:

​ rufus以dd模式写入U盘,bios关闭安全启动,U 盘启动,选择driver选择non-free,比开源驱动好,(如果此处安装失败,按E键进入编辑模式,把 driver=nonfree 改成 driver=intel ,可解决大部分问题)双显卡也能很好的解决。然后都是图形界面了,不多说。只有开始点击开始安装按钮如果安装程序闪退,多半是没联网,连上网就好了,卡在93%进度多半又是因为电脑还联网,关了网络就好了。

配置:

排列国内源:sudo pacman-mirrors -i -c China -m rank

​ 清华源(tuna)最快,但是我这有一个依赖后面升级时候,清华的源没有这个文件,换成其他源更新好才改回来

Archlinux改清华源:sudo gedit /etc/pacman.conf
[archlinuxcn]
SigLevel = Optional TrustedOnly
Server = https://mirrors.tuna.tsinghua.edu.cn/archlinuxcn/$arch
更新一下:pacman -Syyu
更新签名:sudo pacman -Syy && sudo pacman -S archlinuxcn-keyring
Aur源改国内:待填坑。。。
安装yay:sudo pacman -S yay

因为yaourt停更了,只有这一个我用着还不错,以后安装东西直接yay+包名

输入法安装:
sudo pacman -S fcitx-sogoupinyin
sudo pacman -S fcitx-im 
sudo pacman -S fcitx-configtool

或者google拼音:第一行改成sudo pacman -S fcitx-googlepinyin,谷歌拼音的话,如果全部安装了依赖,可以在包管理卸载qt5那几个无用的软件。

然后 sudo gedit ~/.profile底部加入下面几行来指定输入法。

export LC_CTYPE=zh_CN.UTF-8
export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS="@im=fcitx"

然后就是调缩放问题,要不然那么小的字会看瞎。Arch wiki上给出的解决办法那个自定义缩放比例,默认只有200%缩放比例,在我这没用,更辣眼睛,所以调字体放大倍数。

优化-->字体-->缩放字体-->1.5

字体我用的是思源黑体(adobe家开源的),文泉驿和google家的noto系列也不错。

noto系列cjk指的是中国韩国和日本,中国大陆好像是S开头的字体,因为太大了就没有安装。

chrome等其他浏览器可以在浏览器设置里改一下字体风格,然后在/etc/fonts/新建一个local.conf文件写入:

<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
    <match target="font">
        <edit name="autohint" mode="assign">
            <bool>false</bool>
            </edit>
        <edit name="hinting" mode="assign">
            <bool>false</bool>
        </edit>
        <edit name="hintstyle" mode="assign">
            <const>none</const>
        </edit>
    </match>
</fontconfig>

这样软件默认就不会用自己的文字处理方式了,和win下字体基本无太大差别,字体模糊问题解决。

然后就是卸载没用的软件了,基本上依赖不多的都可以卸载,gnome自带的磁盘分析和笔记本便签字符映射闹钟天气日历qt5那些都被我卸载了我有强迫症,不用的东西一个都不留,自带的那一套主题和字体也被我卸了。。。

zsh

zsh默认已经有了,shell cat / etc / shells查看有没有。

安装oh-my-zsh:sh -c“$(curl -fsSL https:`//raw.github.com/robbyrussell/oh-my-zsh/master/tools/install.sh)”`

更换zsh:chsh -s / bin / zsh

然后可以配置了:

分别是自动跳转、语法建议、语法高亮插件。

sudo pacman -S autojump

git clone https://github.com/zsh-users/zsh-autosuggestions ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions

git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting

然后配之~/.zshrc文件:

#主题
ZSH_THEME="steeef"
# 纠错
ENABLE_CORRECTION="true"
# 提示
COMPLETION_WAITING_DOTS="true"
# 插件
plugins=(
  git zsh-autosuggestions web-search autojump zsh-syntax-highlighting
)
source ~/.oh-my-zsh/plugins/incr/incr*.zsh
export UPDATE_ZSH_DAYS=7

双显卡切换问题:

​ bumblebee系统默认安装好了:

安装依赖:sudo pacman -S virtualgl lib32-virtualgl lib32-primus primus

开启服务:sudo systemctl enable bumblebeed

添加用户组:sudo gpasswd -a $USER bumblebee

重启后optirun+应用程序名 即可用独显打开应用程序。

测试性能:
  • 集显性能:glxgears -info
  • 独显性能:optirun glxgears -info

如果独显依旧是60fps的话那就是依赖没安装,安装依赖:sudo pacman -S virtualgl lib32-virtualgl lib32-primus primus

美化:

​ manjaro18 gnome版已经美化的相当可以了,但是我不喜欢。。。

图标:sudo pacman -S numix-icon-theme

主题:yay -S arc-gtk-theme

然后把自带的删了......

扩展:

​ 自带的基本够了,列出我的参考一下:

  • Applications menu(类win应用程序选择查找)
  • Clipboard indicator(剪贴板)因为googlepinyin自带的也不错,放弃这个了
  • Dash to dock(dock栏自定义)
  • Dash to panel(状态栏自定义)
  • Desktop icons(桌面图标)
  • Places status indicator(快速访问)
  • Simple net speed(网速栏)
  • Tray icons(顶栏显示后台运行窗口)
  • Removable driver men(挂载状态栏)

软件:

下面就是我用到的软件了,包管理里都有,可以命令行安装也可以在包管理里搜索安装:推荐在包管理列表搜索安装,详情里可以让自己更好的选择。下面是一些有坑的安装:

  • 安装QQ:yay -S deepin.com.qq.im

​ wine下的qq、和tim,还是有点小问题的自己体验一下

  • 安装Tim:yay -S deepin.com.qq.office
  • 安装微信:yay -S wewechat

​ 第三方的微信,英文&&开源。

软件包里的pycharm和idea社区版在1.5倍字体放大后真的很辣眼睛,改字体大小还能接受,但是复选框和状态栏图标等依然很大。最好的办法是:官网下载toolbox,这个jetbrains家的软件管理是Appimage打包的,在哪种linux环境下都可以运行,然后下载社区版idea2019和pycharm2018.3.5,显示就很完美了:

  • 笔记只有wiznote在linux下还行。
  • SS-qt5文明上网,生成pac规则。。。具体不解释。
  • 网盘同步只有Dropbox在linux下比较完美,启动时要手动设置代理127.0.0.1,port:1080。
  • kolourpaint:简单图片编辑
  • peek:录制gif
  • vim:网上搜一下配置
  • SimpleScreenRecorder:录屏
  • aria2:下载器,需要浏览器安装插件,配置在最下面。
  • 下载JetBrains toolbox 可下载jetbrains全家桶
  • flameshot 截图、贴图
  • JDK

yay jdk

​ 选择合适的版本,输入数字回车。建议不要选jdk8以下的和openJDK。

archlinux-java status

​ 查看jdk状态。

sudo archlinux-java set jdk-12

​ 设置jdk版本。

java -version

​ 查看是否成功设置,成功了就可以卸载自带的openJDK8了

大家用不到系列,记录一下:medis、mysql wprkbench、Charles、filezilla、mitmproxy、anaconde

anaconde需要在.zshrc里设置路径 export PATH="/opt/anaconda/bin:$PATH"

如果没用zsh就是在.bashrc里设置。如果用的是zsh就算最后输入yes设置默认环境变量也没用,具体参考anaconda wiki。

查看当前存在哪些虚拟环境:conda env list

创建Python虚拟环境:conda create -n zeronet python=3.6

激活虚拟环境:source activate zeronet

对虚拟环境中安装额外的包:conda install -n zeronet [package]

关闭虚拟环境:source deactivate zeronet

删除虚拟环境:conda remove -n your_env_name --all

aria2配置:/etc/aria2下新建aria2.conf、aria2.log、aria2.session

​ 开启监听:sudo aria2c --conf-path=/etc/aria2/aria2.conf

​ 可以增加自启动脚本

## `#`开头为注释内容, 选项都有相应的注释说明, 根据需要修改 ##
## 被注释的选项填写的是默认值, 建议在需要修改时再取消注释  ##
## 如果出现`Initializing EpollEventPoll failed.`之类的
## 错误提示, 可以取消event-poll选项的注释                  ##

## 文件保存相关 ##

# 文件的保存路径(可使用绝对路径或相对路径), 默认: 当前启动位置
dir=/home/zz/Downloads
# 启用磁盘缓存, 0为禁用缓存, 需1.16以上版本, 默认:16M
disk-cache=32M
# 文件预分配方式, 能有效降低磁盘碎片, 默认:prealloc
# 预分配所需时间: none < falloc ? trunc < prealloc
# falloc和trunc则需要文件系统和内核支持, NTFS建议使用falloc, EXT3/4建议trunc
file-allocation=trunc
# 断点续传
continue=true

## 下载连接相关 ##

# 最大同时下载任务数, 运行时可修改, 默认:5
max-concurrent-downloads=5
# 同一服务器连接数, 添加时可指定, 默认:1
max-connection-per-server=5
# 最小文件分片大小, 添加时可指定, 取值范围1M -1024M, 默认:20M
# 假定size=10M, 文件为20MiB 则使用两个来源下载; 文件为15MiB 则使用一个来源下载
min-split-size=10M
# 单个任务最大线程数, 添加时可指定, 默认:5
split=32
# 整体下载速度限制, 运行时可修改, 默认:0
#max-overall-download-limit=0
# 单个任务下载速度限制, 默认:0
#max-download-limit=0
# 整体上传速度限制, 运行时可修改, 默认:0
#max-overall-upload-limit=0
# 单个任务上传速度限制, 默认:0
#max-upload-limit=0
# 禁用IPv6, 默认:false
disable-ipv6=true

## 进度保存相关 ##

# 从会话文件中读取下载任务
input-file=/etc/aria2/aria2.session
# 在Aria2退出时保存`错误/未完成`的下载任务到会话文件
save-session=/etc/aria2/aria2.session
# 定时保存会话, 0为退出时才保存, 需1.16.1以上版本, 默认:0
save-session-interval=60

## RPC相关设置 ##

# 启用RPC, 默认:false
enable-rpc=true
# 允许所有来源, 默认:false
rpc-allow-origin-all=true
# 允许非外部访问, 默认:false
rpc-listen-all=true
# 事件轮询方式, 取值:[epoll, kqueue, port, poll, select], 不同系统默认值不同
#event-poll=select
# RPC监听端口, 端口被占用时可以修改, 默认:6800
#rpc-listen-port=6800

## BT/PT下载相关 ##

# 当下载的是一个种子(以.torrent结尾)时, 自动开始BT任务, 默认:true
#follow-torrent=true
# BT监听端口, 当端口被屏蔽时使用, 默认:6881-6999
listen-port=51413
# 单个种子最大连接数, 默认:55
#bt-max-peers=55
# 打开DHT功能, PT需要禁用, 默认:true
enable-dht=false
# 打开IPv6 DHT功能, PT需要禁用
#enable-dht6=false
# DHT网络监听端口, 默认:6881-6999
#dht-listen-port=6881-6999
# 本地节点查找, PT需要禁用, 默认:false
#bt-enable-lpd=false
# 种子交换, PT需要禁用, 默认:true
enable-peer-exchange=false
# 每个种子限速, 对少种的PT很有用, 默认:50K
#bt-request-peer-speed-limit=50K
# 客户端伪装, PT需要
peer-id-prefix=-TR2770-
user-agent=Transmission/2.77
# 当种子的分享率达到这个数时, 自动停止做种, 0为一直做种, 默认:1.0
seed-ratio=0
# 强制保存会话, 话即使任务已经完成, 默认:false
# 较新的版本开启后会在任务完成后依然保留.aria2文件
#force-save=false
# BT校验相关, 默认:true
#bt-hash-check-seed=true
# 继续之前的BT任务时, 无需再次校验, 默认:false
bt-seed-unverified=true
# 保存磁力链接元数据为种子文件(.torrent文件), 默认:false
bt-save-metadata=true

icodebugs

网友评论

登录后评论
0/500
评论
爱写Bug
+ 关注